Package net.shibboleth.idp.cas.attribute

# Class AbstractCASAttributeTranscoder.NamingFunction

java.lang.Object
net.shibboleth.idp.cas.attribute.AbstractCASAttributeTranscoder.NamingFunction

All Implemented Interfaces:
  `Function<Attribute,String>`

Enclosing class:
  AbstractCASAttributeTranscoder<EncodedType extends IdPAttributeValue>

public static class AbstractCASAttributeTranscoder.NamingFunction extends Object implements Function<Attribute,String>
A function to produce a "canonical" name for a CAS `Attribute` for transcoding rules.

## Constructor Summary

Constructors
Constructor
Description
`NamingFunction()`

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(Attribute input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### NamingFunction

public NamingFunction()

## Method Details

### apply

@Nullable public String apply(@Nullable Attribute input)

Specified by:
  `apply` in interface `Function<Attribute,String>`